<!DOCTYPE html>
<html lang="en">
    <head>
        <title>System Configurations | <?= ($app_name) ? $app_name[0]->message : '' ?></title>        
        <?php base_url() . include 'include.php'; ?>  
    </head>

    <body class="hold-transition sidebar-mini">
        <div class="wrapper">
            <?php base_url() . include 'header.php'; ?>  
            <!-- Content Wrapper. Contains page content -->
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6"></div>
                        </div>
                    </div><!-- /.container-fluid -->
                </section>
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card card-secondary">
                                    <div class="card-header">
                                        <h3 class="card-title">System Settings for App <small>  Note that this will directly reflect the changes in App</small></h3>                                       
                                    </div>

                                    <form action="<?= base_url(); ?>/store_system_setting" role="form" id="insert_form" method="POST" enctype="multipart/form-data">
                                        <?= csrf_field() ?>
                                        <div class="card-body"> 
                                            <div class="form-group row">
                                                <div class="col-sm-12">
                                                    <label>System Timezone</label>
                                                    <?php $options = getTimezoneOptions(); ?>
                                                    <select id="system_timezone" name="system_timezone" required class="form-control">
                                                        <?php foreach ($options as $option) { ?>
                                                            <option value="<?= $option[2] ?>" data-gmt="<?= $option['1']; ?>" <?= ($system_timezone) ? ($system_timezone[0]->message == $option[2]) ? 'selected' : '' : ''; ?>><?= $option[2] ?> - GMT <?= $option[1] ?> - <?= $option[0] ?></option>
                                                        <?php } ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group row"> 
                                                <div class="col-sm-6">
                                                    <label>App Name</label>
                                                    <input type="text" name="app_name" value="<?= ($app_name) ? $app_name[0]->message : '' ?>" class="form-control" placeholder="App Name" required/>
                                                </div>
                                                <div class="col-sm-6">
                                                    <label>JWT KEY</label>
                                                    <input type="text" name="jwt_key" value="<?= ($jwt_key) ? $jwt_key[0]->message : '' ?>" class="form-control" placeholder="JWT KEY" required/>
                                                </div>
                                            </div>
                                            <div class="form-group row">  
                                                <div class="col-sm-6">
                                                    <label>App Full Logo  <small class="text-danger">( size 460 * 115 )</small></label>
                                                    <div class="custom-file">
                                                        <input name="file1" type="file" class="custom-file-input" id="exampleInputFile2">
                                                        <label class="custom-file-label" id="custom-file-label1" for="customFile">Choose file</label>
                                                        <small class="text-danger">Only png, jpg and jpeg image allow</small>
                                                        <p style="display: none" id="img_error_msg1" class="alert alert-danger"></p>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <label>App Half Logo <small class="text-danger">( size 128 * 128 )</small></label>
                                                    <div class="custom-file">
                                                        <input name="file" type="file" class="custom-file-input" id="exampleInputFile1">
                                                        <label class="custom-file-label" id="custom-file-label" for="customFile">Choose file</label>
                                                        <small class="text-danger">Only png, jpg and jpeg image allow</small>
                                                        <p style="display: none" id="img_error_msg" class="alert alert-danger"></p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">  
                                                <div class="col-sm-6">
                                                    <?php if ($app_logo_full) { ?>
                                                        <img src="<?= APP_URL ?>public/images/<?= $app_logo_full[0]->message ?>" width="300"/>
                                                    <?php } ?>
                                                </div>

                                                <div class="col-sm-6">
                                                    <?php if ($app_logo) { ?>
                                                        <img src="<?= APP_URL ?>public/images/<?= $app_logo[0]->message ?>" height="100"/>
                                                    <?php } ?>
                                                </div>
                                            </div>
                                            <div class="form-group row">  
                                                <div class="col-sm-2">
                                                    <label>Category</label>
                                                    <div>
                                                        <input type="checkbox" id="is_category" name="is_category"  <?php
                                                        if ($is_category) {
                                                            echo ($is_category[0]->message == '1') ? 'checked' : '';
                                                        }
                                                        ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                                        <input type="hidden" id="category_mode" name="category_mode" value="<?= ($is_category) ? $is_category[0]->message : 0; ?>">
                                                    </div>
                                                </div>
                                                <div class="col-sm-2">
                                                    <label>Subcategory</label>
                                                    <div>
                                                        <input type="checkbox" id="is_subcategory" name="is_subcategory"  <?php
                                                        if ($is_subcategory) {
                                                            echo ($is_subcategory[0]->message == '1') ? 'checked' : '';
                                                        }
                                                        ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                                        <input type="hidden" id="subcategory_mode" name="subcategory_mode" value="<?= ($is_subcategory) ? $is_subcategory[0]->message : 0; ?>">
                                                    </div>
                                                </div>
                                                <div class="col-sm-3">
                                                    <label>Breaking News</label>
                                                    <div>
                                                        <input type="checkbox" id="breaking_news" name="breaking_news"  <?php
                                                        if ($is_news) {
                                                            echo ($is_news[0]->message == '1') ? 'checked' : '';
                                                        }
                                                        ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                                        <input type="hidden" id="breaking_news_mode" name="breaking_news_mode" value="<?= ($is_news) ? $is_news[0]->message : 0; ?>">
                                                    </div>
                                                </div>
                                                <div class="col-sm-3">
                                                    <label>Live Streaming</label>
                                                    <div>
                                                        <input type="checkbox" id="is_live_streaming" name="is_live_streaming"  <?php
                                                        if ($is_live_streaming) {
                                                            echo ($is_live_streaming[0]->message == '1') ? 'checked' : '';
                                                        }
                                                        ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                                        <input type="hidden" id="live_streaming_mode" name="live_streaming_mode" value="<?= ($is_live_streaming) ? $is_live_streaming[0]->message : 0; ?>">
                                                    </div>
                                                </div>
                                                <div class="col-sm-2">
                                                    <label>Comments</label>
                                                    <div>
                                                        <input type="checkbox" id="is_comments" name="is_comments"  <?php
                                                        if ($is_comments) {
                                                            echo ($is_comments[0]->message == '1') ? 'checked' : '';
                                                        }
                                                        ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                                        <input type="hidden" id="comments_mode" name="comments_mode" value="<?= ($is_comments) ? $is_comments[0]->message : 0; ?>">
                                                    </div>
                                                </div>                                                
                                            </div>

                                            <?php if ($this->session->getFlashdata('error')) { ?>
                                                <div class="col-sm-6 offset-2">
                                                    <p id="error_msg" class="alert alert-danger"><?php echo $this->session->getFlashdata('error'); ?></p>
                                                </div>
                                            <?php } ?> 
                                            <?php if ($this->session->getFlashdata('success')) { ?>
                                                <div class="col-sm-6 offset-2">
                                                    <p id="success_msg" class="alert alert-success"><?php echo $this->session->getFlashdata('success'); ?></p>
                                                </div>
                                            <?php } ?>
                                        </div>
                                        <div class="card-footer">
                                            <button type="submit" class="btn btn-primary">Submit</button>
                                        </div>
                                    </form>
                                </div>
                            </div>

                        </div>
                    </div>
                </section>
                <!-- /.content -->

            </div>
            <!-- /.modal -->

            <?php base_url() . include 'footer.php'; ?>  

        </div>
        <!-- ./wrapper -->
        <?php

        function getTimezoneOptions() {
            $list = DateTimeZone::listAbbreviations();
            $idents = DateTimeZone::listIdentifiers();

            $data = $offset = $added = array();
            foreach ($list as $abbr => $info) {
                foreach ($info as $zone) {
                    if (!empty($zone['timezone_id'])
                            AND ! in_array($zone['timezone_id'], $added)
                            AND
                            in_array($zone['timezone_id'], $idents)) {
                        $z = new DateTimeZone($zone['timezone_id']);
                        $c = new DateTime(null, $z);
                        $zone['time'] = $c->format('H:i a');
                        $offset[] = $zone['offset'] = $z->getOffset($c);
                        $data[] = $zone;
                        $added[] = $zone['timezone_id'];
                    }
                }
            }

            array_multisort($offset, SORT_ASC, $data);
            $i = 0;
            $temp = array();
            foreach ($data as $key => $row) {
                $temp[0] = $row['time'];
                $temp[1] = formatOffset($row['offset']);
                $temp[2] = $row['timezone_id'];
                $options[$i++] = $temp;
            }
            return $options;
        }

        function formatOffset($offset) {
            $hours = $offset / 3600;
            $remainder = $offset % 3600;
            $sign = $hours > 0 ? '+' : '-';
            $hour = (int) abs($hours);
            $minutes = (int) abs($remainder / 60);

            if ($hour == 0 AND $minutes == 0) {
                $sign = ' ';
            }
            return $sign . str_pad($hour, 2, '0', STR_PAD_LEFT) . ':' . str_pad($minutes, 2, '0');
        }
        ?>

        <script type="text/javascript">
            /* on change of category mode btn - switchery js */
            var is_category = document.querySelector('#is_category');
            is_category.onchange = function () {
                if (is_category.checked){
                    $('#category_mode').val(1);
                } else {
                    $('#category_mode').val(0);
                    $('#subcategory_mode').val(0);
                }
            };
            /* on change of category mode btn - switchery js */
            var is_subcategory = document.querySelector('#is_subcategory');
            is_subcategory.onchange = function () {
                if (is_subcategory.checked) {
                    if ($('#category_mode').val() == '1') {
                        $('#subcategory_mode').val(1);
                    } else if ($('#category_mode').val() == '0'){
                        alert('Please enable category');
                        $("#is_subcategory").bootstrapSwitch('state', false);
                    }
                } else {
                    $('#subcategory_mode').val(0);
                }
            };
 
            /* on change of breaking_news mode btn - switchery js */
            var breaking_news = document.querySelector('#breaking_news');
            breaking_news.onchange = function () {
                if (breaking_news.checked)
                    $('#breaking_news_mode').val(1);
                else
                    $('#breaking_news_mode').val(0);
            };

            /* on change of comments mode btn - switchery js */
            var is_comments = document.querySelector('#is_comments');
            is_comments.onchange = function () {
                if (is_comments.checked)
                    $('#comments_mode').val(1);
                else
                    $('#comments_mode').val(0);
            };

            /* on change of live streaming mode btn - switchery js */
            var is_live_streaming = document.querySelector('#is_live_streaming');
            is_live_streaming.onchange = function () {
                if (is_live_streaming.checked)
                    $('#live_streaming_mode').val(1);
                else
                    $('#live_streaming_mode').val(0);
            };
        </script>
        <script type="text/javascript">
            var _URL = window.URL || window.webkitURL;

            $("#exampleInputFile1").change(function (e) {
                var file, img;
                if ((file = this.files[0])) {
                    img = new Image();
                    img.onerror = function () {
                        $("#exampleInputFile1").val('');
                        $('#custom-file-label').html('');
                        $('#img_error_msg').html("Invalid Image Type");
                        $('#img_error_msg').show().delay(3000).fadeOut();
                    };
                    img.src = _URL.createObjectURL(file);
                }
            });
            $("#exampleInputFile2").change(function (e) {
                var file, img;
                if ((file = this.files[0])) {
                    img = new Image();
                    img.onerror = function () {
                        $("#exampleInputFile2").val('');
                        $('#custom-file-label1').html('');
                        $('#img_error_msg1').html("Invalid Image Type");
                        $('#img_error_msg1').show().delay(3000).fadeOut();
                    };
                    img.src = _URL.createObjectURL(file);
                }
            });
        </script>

        <script type="text/javascript">
            $(document).ready(function () {
                $('#insert_form').validate({
                    errorElement: 'span',
                    errorPlacement: function (error, element) {
                        error.addClass('invalid-feedback');
                        element.closest('.form-group div').append(error);
                    },
                    highlight: function (element, errorClass, validClass) {
                        $(element).addClass('is-invalid');
                    },
                    unhighlight: function (element, errorClass, validClass) {
                        $(element).removeClass('is-invalid');
                    }
                });
            });
        </script>
        <script>
            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        </script>

    </body>
</html>